
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在OpenCASCADE使用包SortTools中的排序功能 / iVAN</title>

    <meta name="description" content="在OpenCASCADE使用包SortTools中的排序功能 Use the Sort Function in the Package SortTools of the Toolkit TKernel eryar@163.com China 在OpenCASCADE的Toolkit TKernel中有个排序包(Package SortTools),可以对整数和实数进行排序.排序方法有四种:堆排序.快速排序.希尔排序.直接插入排序.这几种排序方法都是静态方法,因此,可以用对象名调用,这时,将静态方法看作是某个名空间的一个函数.排序包中对应几种排序方法的几个类">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在OpenCASCADE使用包SortTools中的排序功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3><em>Use the Sort Function in the Package SortTools of the Toolkit TKernel</em></h3>
<p><strong><em>eryar@163.com</em></strong><strong><em> China</em></strong></p>
<p>在<strong><em>OpenCASCADE</em></strong>的<strong><em>Toolkit</em></strong> <em><strong>TKernel</strong></em>中有个排序包(<strong><em>Package</em></strong> <strong><em>SortTools</em></strong>)，可以对整数和实数进行排序。排序方法有四种：堆排序、快速排序、希尔排序、直接插入排序。这几种排序方法都是静态方法，因此，可以用对象名调用，这时，将静态方法看作是某个名空间的一个函数。排序包中对应几种排序方法的几个类如下：</p>
<ul>
<li><strong><em>SortTools</em></strong>_<strong><em>HeapSortOfInteger</em></strong> ——》 整数的堆排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>HeapSortOfReal</em></strong> ——》实数的堆排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>QuickSortOfInteger</em></strong> ——》整数的快速排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>QuickSortOfReal</em></strong> ——》实数的快速排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>ShellSortOfInteger</em></strong> ——》整数的希尔排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>ShellSortOfReal</em></strong> ——》实数的希尔排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>StraightInsertionSortOfInteger</em></strong> ——》整数的直接插入排序；</li>
<li><strong><em>SortTools</em></strong>_<strong><em>StraightInsertionSortOfReal</em></strong> ——》实数的直接插入排序；</li>
</ul>
<p>以整数的快速排序为例，讲解排序工具包的用法。在<strong><em>SortTools</em></strong>_<strong><em>QuickSortOfInteger</em></strong> <strong><em>Class Reference</em></strong>中看到类<strong><em>SortTools_QuickSortOfInteger</em></strong>的排序函数为一个静态函数<strong><em>Sort</em></strong>，其声明为：</p>
<pre>   1:  static void  Sort (TColStd_Array1OfInteger &amp;TheArray, const TCollection_CompareOfInteger &amp;Comp) </pre>
<p>参数<strong><em>TheArray</em></strong>为等排序的数组；</p>
<p>参数<strong><em>Comp</em></strong>为用来比较数据中元素的类；</p>
<p>快速排序算法主要源代码如下：（若需要对算法进行理解，请参考数据结构与算法的相关书籍。）</p>
<pre>inline void Exchange(Item&amp; Left, Item&amp; Right)</pre>
<pre>{  </pre>
<pre>  Item Temp = Left;</pre>
<pre>  Left = Right;</pre>
<pre>  Right = Temp;</pre>
<pre>}</pre>
<pre> </pre>
<pre>static void SortRecursive(Array&amp; TheArray,</pre>
<pre>              const Comparator&amp; Comp,</pre>
<pre>              const Standard_Integer Left, </pre>
<pre>              const Standard_Integer Right)</pre>
<pre>{</pre>
<pre>  Item Pivot;</pre>
<pre>  Standard_Integer Front, Back, Middle;</pre>
<pre>  </pre>
<pre>  if(Left &lt; Right) {</pre>
<pre>    Middle = (Left + Right) / 2;</pre>
<pre>    if(Comp.IsLower(TheArray(Middle), TheArray(Left))) {</pre>
<pre>      Exchange(TheArray(Middle), TheArray(Left));</pre>
<pre>    }</pre>
<pre>    if(Comp.IsLower(TheArray(Right), TheArray(Left))) {</pre>
<pre>      Exchange(TheArray(Right), TheArray(Left));</pre>
<pre>    }</pre>
<pre>    if(Comp.IsLower(TheArray(Right), TheArray(Middle))) {</pre>
<pre>      Exchange(TheArray(Right), TheArray(Middle));</pre>
<pre>    }</pre>
<pre>    Pivot = TheArray(Middle);</pre>
<pre>    Exchange(TheArray(Middle), TheArray(Right - 1));</pre>
<pre>    Front = Left + 1;</pre>
<pre>    Back = Right - 1;</pre>
<pre>    if(Back != TheArray.Lower()) {</pre>
<pre>      Back = Back - 1;</pre>
<pre>    }</pre>
<pre>    for(;;) {</pre>
<pre>      while (Comp.IsLower(TheArray(Front), Pivot)) {</pre>
<pre>    Front = Front + 1;</pre>
<pre>      }</pre>
<pre>      while (Comp.IsLower(Pivot, TheArray(Back))) {</pre>
<pre>    Back = Back - 1;</pre>
<pre>      }</pre>
<pre>      if(Front &lt;= Back) {</pre>
<pre>    if(Front == TheArray.Upper()) return;</pre>
<pre>    if(Back == TheArray.Lower()) return;  </pre>
<pre>    Exchange(TheArray(Front), TheArray(Back));</pre>
<pre>    Front = Front + 1;</pre>
<pre>    Back = Back - 1;</pre>
<pre>      }</pre>
<pre>      if(Front &gt; Back) break;</pre>
<pre>    }</pre>
<pre>    SortRecursive(TheArray, Comp, Left, Back);</pre>
<pre>    SortRecursive(TheArray, Comp, Front, Right);</pre>
<pre>  }</pre>
<pre>}</pre>
<pre> </pre>
<pre>void SortTools_QuickSort::Sort(Array&amp; TheArray, </pre>
<pre>              const Comparator&amp; Comp)</pre>
<pre>{</pre>
<pre>  SortRecursive(TheArray, Comp, TheArray.Lower(), TheArray.Upper()); </pre>
<pre>}</pre>
<p>使用快速排序方法的简单代码示例如下：</p>
<pre>//------------------------------------------------------------------------------</pre>
<pre>//    Copyright (c) 2012 eryar All Rights Reserved.</pre>
<pre>//</pre>
<pre>//        File    : Main.cpp</pre>
<pre>//        Author  : eryar@163.com</pre>
<pre>//        Date    : 2012-6-23 8:32</pre>
<pre>//        Version : 1.0v</pre>
<pre>//</pre>
<pre>//    Description : Test SortTools Package in the OpenCASCADE.</pre>
<pre>//</pre>
<pre>//==============================================================================</pre>
<pre> </pre>
<pre>#include &lt;TColStd_Array1OfInteger.hxx&gt;</pre>
<pre>#include &lt;TCollection_CompareOfInteger.hxx&gt;</pre>
<pre>#include &lt;SortTools_QuickSortOfInteger.hxx&gt;</pre>
<pre> </pre>
<pre>void    DumpArray(const TColStd_Array1OfInteger&amp; a);</pre>
<pre> </pre>
<pre>int main(int argc, char* argv[])</pre>
<pre>{</pre>
<pre>    TColStd_Array1OfInteger quickSortArray(1, 6);</pre>
<pre>    TCollection_CompareOfInteger    aComp;</pre>
<pre> </pre>
<pre>    // Use zero to initialize the array.</pre>
<pre>    quickSortArray.Init(0);</pre>
<pre> </pre>
<pre>    // Set value of the array.</pre>
<pre>    quickSortArray.SetValue(1, 2);</pre>
<pre>    quickSortArray.SetValue(2, 50);</pre>
<pre>    quickSortArray.SetValue(3, 3);</pre>
<pre>    quickSortArray.SetValue(4, 60);</pre>
<pre>    quickSortArray.SetValue(5, 100);</pre>
<pre>    quickSortArray.SetValue(6, 70);</pre>
<pre> </pre>
<pre>    // Before sort, dump the array.</pre>
<pre>    DumpArray(quickSortArray);</pre>
<pre> </pre>
<pre>    // Sort the array.</pre>
<pre>    // Because the Sort method is static, so can call it directly.</pre>
<pre>    SortTools_QuickSortOfInteger::Sort(quickSortArray, aComp);</pre>
<pre> </pre>
<pre>    // Dump information.</pre>
<pre>    DumpArray(quickSortArray);    </pre>
<pre> </pre>
<pre>    return 0;</pre>
<pre>}</pre>
<pre> </pre>
<pre>void DumpArray( const TColStd_Array1OfInteger&amp; a )</pre>
<pre>{</pre>
<pre>    // Dump information.</pre>
<pre>    cout&lt;&lt;"Array items start:"&lt;&lt;endl;</pre>
<pre>    for (Standard_Integer i = a.Lower(); i &lt;= a.Upper(); i++)</pre>
<pre>    {</pre>
<pre>        cout&lt;&lt;a.Value(i)&lt;&lt;endl;</pre>
<pre>    }</pre>
<pre>    cout&lt;&lt;"Array items end..."&lt;&lt;endl;</pre>
<pre>}</pre>
<p>输出结果如下：</p>
<pre>   1:  Array items start:</pre>
<pre>   2:  2</pre>
<pre>   3:  50</pre>
<pre>   4:  3</pre>
<pre>   5:  60</pre>
<pre>   6:  100</pre>
<pre>   7:  70</pre>
<pre>   8:  Array items end...</pre>
<pre>   9:  Array items start:</pre>
<pre>  10:  2</pre>
<pre>  11:  3</pre>
<pre>  12:  50</pre>
<pre>  13:  60</pre>
<pre>  14:  70</pre>
<pre>  15:  100</pre>
<pre>  16:  Array items end...</pre>
<pre>  17:  Press any key to continue . . .</pre>
<p>若使用<strong><em>C++</em></strong>的模板功能，就不会分成整数和实数两个类来区别对待啦。:-)</p>
<p>触类旁通，其它排序方法的使用都是类似的。可以结合数据结构与算法书中的排序内容来对排序算法进行深入理解。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 03:03:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/exchange/" title="exchange">exchange</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在OpenCASCADE使用包SortTools中的排序功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ70J4b.html" rel="bookmark">excel中文字排序功能的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				excel中文字排序功能的使用方法.排序功能是excel中一项很基本的功能,但是我们一般只用到英文字母或者是数字排序,实际上汉字也是可以排序的. 方法/步骤 首先我们打开一张工作样表作为例子. 在开始标签面板上找到排序和筛选快捷按钮,并选择需要排序的区域单元格. 点击后会弹出提示框,因为本例子所复选的区域单元格有关联的数据,所以我们应该选择扩展选定区域. 在弹出的排序面板对话框中,我们点选选项按钮,在排序选项中点选笔划排序. 我们可以看到点击确定排序后,该列排列修改为了笔划顺序排列.但是前面的序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAV3ZAp.html" rel="bookmark">三星I9300如何使用&OpenCurlyDoubleQuote;S 备忘录&rdquo;中的排序功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 在待机模式下,点击[应用程序].     2.点击[S备忘录].     3.点击[菜单]键,再选择[排序通过].     4．设置排序通过哪种方式显示.     上述操作设置完毕后,您的S备忘录中存储的记录就可以按照您设置好的排序显示出来了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVlQwz.html" rel="bookmark">Android的HTTP扩展包OkHttp中的缓存功能使用方法解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OkHttp 可以对 HTTP 响应的内容在磁盘上进行缓存.在进行 HTTP 请求时,如果该请求的响应已经被缓存而且没有过期,OkHttp 会直接使用缓存中的响应内容,而不需要真正的发出 HTTP 请求到远程服务器.在创建缓存时需要指定一个磁盘目录和缓存的大小.在代码清单 8 中,创建出 Cache 对象之后,通过 OkHttpClient 的 setCache 进行设置.通过 Response 对象的 cacheResponse 和 networkResponse 方法可以得到缓存的响应和从实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLo1OkM.html" rel="bookmark">Android的HTTP扩展包OkHttp中的缓存功能使用方法解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OkHttp 可以对 HTTP 响应的内容在磁盘上进行缓存.在进行 HTTP 请求时,如果该请求的响应已经被缓存而且没有过期,OkHttp 会直接使用缓存中的响应内容,而不需要真正的发出 HTTP 请求到远程服务器.在创建缓存时需要指定一个磁盘目录和缓存的大小.在代码清单 8 中,创建出 Cache 对象之后,通过 OkHttpClient 的 setCache 进行设置.通过 Response 对象的 cacheResponse 和 networkResponse 方法可以得到缓存的响应和从实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7l3Kb.html" rel="bookmark">用中值排序基数法实现树状结构&mdash;&mdash;让递归滚一边去</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				递归|排序 用中值排序基数法实现树状结构     在BBS的编写中,经常有人问怎样实现树状结构?一个比较不负责任的回答是:使用递归算法.当然,递归是一个可行的办法(二叉树的历遍也好象只能使用递归算法),但对于BBS来说,这样做势必要进行大量的Sql查询(虽然可以使用存储过程来做,但要从根本上加快速度,则应该考虑更快的算法).下面给出一个可行的彻底屏弃递的实现树状结构的算法.     下面给出另一种使用&quot;使用中值排序基数法&quot;实现树状结构:一.主要思想:增加一个排序基数字段ordernum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjPwNp.html" rel="bookmark">&OpenCurlyDoubleQuote;中值排序基数法实现树状结构&rdquo;的补充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				排序 &quot;中值排序基数法实现树状结构&quot;的补充     由于一时疏忽,造成了此法&quot;对于int类型的基数字段,对原始贴的回复只能有31个:numeric类型的基数字段,对原始贴的回复也不能超过120个&quot;(实际上是对于int型字段,原始贴的回复第32个以上的树状结构显示开始紊乱,对于numeric型的基数字段,原始贴的回复从121个以上树状结构显示开始紊乱--回复并不会出问题),这是由于计算机存储精度引起的.    我们可以将加贴的存储过程修改一下(加进前面加上**号的行)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq9deM.html" rel="bookmark">使用多中值排序基数实现大型树状结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				排序 使用多中值排序基数实现大型树状结构     在&quot;中值排序基数法实现树状结构&quot;中,为了解决回复限制的问题,我们可以增加第二(三.四--)基数字段.    其实在一般的BBS中,使用一个基数已经足够,因为一个贴子的回复太多或深度太大的时候,无论你的树状结构做得多好,由于屏幕的限制(显示折行),显示总会乱,因此不如象在&lt;补充&gt;一文中,达到一定深度或个数时,后面的贴子采用平行显示的方法,不过那部分已经不再是树状结构了.    原理:在贴子显示的order by子句中,如果排序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PZDjM.html" rel="bookmark">Symbian OS中的RArray类的排序功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RArray类,属于symbian OS提供的基础容器类,并且是比较重要和常用的一个. 如果从名字来看这是一个数据类,功能貌似和 MFC的CArray,stl的vector差不多吧?如果这么想就错了,RArray是个泛型数组容器类,但是功能比CArray vector 提供的要多. 尤其是他提供的排序和查找功能,其实现方法比较诡异,对初学者来说容易造成迷惑.个人认为这个设计比较蹩脚,至于为什么会这样,我想不出,已经写信给作者咨询了,不过还没得到答复. RArray的排序是这样的,它规定数组中每个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2oAJb.html" rel="bookmark">在C&num;中实现对ListView点击列标题自动排序功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先定义一个ListViewHelper类,代码如下: using System; using System.Collections; using System.Windows.Forms; namespace Common { /// &lt;summary&gt; /// 对ListView点击列标题自动排序功能 /// &lt;/summary&gt; public class ListViewHelper { /// &lt;summary&gt; /// 构造函数 /// &lt;/summary			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaBqwM.html" rel="bookmark" class="title">ps利用图层样式制作光滑的银色金属字</a>
					<div>
						  图层样式制作金属字是非常快捷的.只需要根据实际文字大小,设定简单的参数,就可以做出大致的金属效果后,然后用多层文字叠加质感较强的金属字. 最终效果 1.新建文档500x300像素,背景填充#711 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBmLkz.html" rel="bookmark" class="title">&period;NET在SQL Server中的图片存取技术</a>
					<div>
						server|sql 本文总结如何在.Net WinForm和.Net WebForm(asp.net)中将图片存入SQL Server中并读取显示的方法 .1.使用asp.net将图片上传并存入SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze40y8p.html" rel="bookmark" class="title">SharePoint 2010的安装及补丁下载</a>
					<div>
						1.安装Windows Server 2008 系统,这个我就不说了,大家自己安装,然后配置静态ip,这个也不用我说了吧?!(我遇到了打不上补丁的问题,提示&quot;更新不会应用到系统&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yJorz.html" rel="bookmark" class="title">C&num;和VB&period;NET中类型相关资料整理</a>
					<div>
						C#和VB.NET中有一些和类型相关的方法和关键字,初学者刚开始理解可能会有点混乱,这里整理一下,希望对初学者有所帮助.如果大家有 需要补充的内容,欢迎回复. 1.GetType (1)Object. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR1xNz.html" rel="bookmark" class="title">ASP&period;NET 2&period;0数据教程之四十六&colon;DataList和Repeater里的自定义button</a>
					<div>
						返回&quot;ASP.NET 2.0数据教程目录&quot; 导言 在前面关于DataList 和Repeater 的7章教程里,我们分别创建了 只读和可以编辑删除的例子.为了让DataList有编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEA9Pb.html" rel="bookmark" class="title">PPT幻灯片中插入Flash动画</a>
					<div>
						现在很多学科经常要做一些研究性学习或者调查报告,使用Powerpoint是个不错的主意. 而很多时候,我们需要添加一些flash动画来使我们的幻灯片更加生动.美观和具有说服力.但是Powerpoint ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RZ5ap.html" rel="bookmark" class="title">可牛影像制作圣诞个性头像方法</a>
					<div>
						  转眼间,十二月就到了,而很多人都相当期待的圣诞节也要到了.在圣诞这个喜庆日子里,当然也要在我们的QQ头像.论坛头像.博客头像上显示出来.于是,小编利用可牛影像自己动手来DIY圣诞头像,俺要做个没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ75K7b.html" rel="bookmark" class="title">2345智能浏览器怎么设置无痕浏览</a>
					<div>
						已进入无痕模式: 无痕浏览模式下您可以更放心安全的浏览网页,此模式中查看的网页不会显示在浏览器历史记录或搜索历史记录中,关闭无痕窗口后也不会在计算机上留下 Cookie 之类的其他痕迹. 特别提示:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2jO9b.html" rel="bookmark" class="title">Windows 8系统网络连接互联网设置教程</a>
					<div>
						一.PPPoE宽带接入 PPPoE就是基于以太网卡的点对点连接,通俗的来讲,就是我们的计算机直接连接到调制解调器进行拨号上网的模式. 在没有设置过PPPoE宽带连接的计算机中,是没有连接信息的,需要我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WYLPb.html" rel="bookmark" class="title">PowerPoint转换为Word文档教程</a>
					<div>
						如何将PowerPoint转换为Word文档? 答:1.一般显示在大纲中的文字可以很方便的粘贴到Word中,但是对于一些文本框.自选图形等,就没有很好的办法,如果一个一个地复制-粘贴到Word中,还要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXVWrp.html" rel="bookmark" class="title">erlang远程调用示例</a>
					<div>
						下面的例子试用了erlang的分布式编程,从中可以看出像erlang这种基于消息的纯函数语言在分布式编程中的强大威力. 简单例子 在远程节点编写一个测试的模块 -module(distribution ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3BrAM.html" rel="bookmark" class="title">等宽矩阵&lpar;a&rpar;相乘a &percnt;&ast;&percnt; x &equals; b的逆运算solve&lpar;a&comma;b&rpar;&equals;x</a>
					<div>
						solve用来逆运算矩阵相乘. 例如 a %*% x = b的逆运算, solve(a,b) = x 这里必须注意, a必须是等宽矩阵, 如果不等宽, 会报错. 例如 :  &gt; a &lt;-  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdyBaM.html" rel="bookmark" class="title">javascript生成&sol;解析dom的CDATA类型的字段的代码&lowbar;javascript技巧</a>
					<div>
						两段demo代码如下(for ie only): &lt;script type=&quot;text/javascript&quot;&gt;   //demo1 var  xmlDoc  =  n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6wwNb.html" rel="bookmark" class="title">Python获取单个程序CPU使用情况趋势图&lowbar;python</a>
					<div>
						本文定位:已将CPU历史数据存盘,等待可视化进行分析,可暂时没有思路. 前面一篇文章(http://www.jb51.net/article/61956.htm)提到过在linux下如何用python ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmm6Wz.html" rel="bookmark" class="title">jquery-请问美团这个菜单有什么做的，可上下滑动</a>
					<div>
						问题描述 请问美团这个菜单有什么做的,可上下滑动 最近在做手机网站,老板想要这样的页面,不知哪位大侠说说用什么做的 解决方案 应该是用listview来实现的,但它进行了美化,你可以参考以下内容试试  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqXA8b.html" rel="bookmark" class="title">国家质检总局：批准筹建11个国家级光伏系统质检中心</a>
					<div>
						近日,国家质量监督检验检疫总局印发&lt;质检总局关于同意筹建国家光伏并网发电系统质量监督检验中心(青海)等11个国家质检中心的批复&gt;国质检科[2016]340号文件. 通知称根据质检总局关于国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQZ7Zz.html" rel="bookmark" class="title">java--线程状态【转】</a>
					<div>
						1.新建状态 Thread t1 = new Thread(); 创建之后,就已经有了相应的内存和其他资源,但是还是处于不可运行状态. 2.就绪状态 当一个线程使用.start()启动之后就处于就绪状 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N967z.html" rel="bookmark" class="title">讲座：《B&sol;S项目中前端与后端的配合》（含PPT及MM下载）</a>
					<div>
						本文提供了2010年3月20日,博客园张江聚会时讲座&lt;B/S项目中前端与后端的配合&gt;的相关资料.其中用于演讲的演示,是由&amp;http://www.aliyun.com/zixun/a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q4w6p.html" rel="bookmark" class="title">php EventManager Module</a>
					<div>
						参考zf2的EventManager,结合实际项目中的需要写了一个简易的EventManager,主要功能有: 订阅者模式: 拦截器: 事件驱动 具体概念就不介绍了,先来看看模块中的几个类或接口. E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xr6Vb.html" rel="bookmark" class="title">使用&period;Net2008打开工程文件时出现&colon;未将对象引用设置到对象实例</a>
					<div>
						问题描述 RT,打开*.sln时就出现&quot;未将对象引用设置到对象实例&quot;,然后调试也出现该提示,但直接执行生成好后的exe,却无此提示,不知是何原因? 解决方案 解决方案二:那你调试的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBge29M.html" rel="bookmark" class="title">《 产品设计思维：电商产品设计全攻略》一一2&period;3　电子商务的存在形态</a>
					<div>
						2.3 电子商务的存在形态 理解了角色与场景和活动的概念,就需要把这些方法应用到实际的电商系统构建过程,首先大家需要了解电商的各种存在形态.大家习惯于将电商的模式称为B2B.B2B.C2C,最近两年还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8RN6p.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;古龙派&rdquo;导演高群书从第五代导演田壮壮手中接棒</a>
					<div>
						&quot;古龙派&quot;导演高群书从第五代导演田壮壮手中接棒,成为2013年土豆映像节的评委主席.按照高群书自己对评委会主席身份的说法&quot;我就是来种地的,负责把壮爷播下的原创种子普及一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Rvrb.html" rel="bookmark" class="title">JavaScript判断微信浏览器实例代码&lowbar;javascript技巧</a>
					<div>
						先给大家说下我的项目需求:用户扫一扫二维码会产生一个链接,该链接会向后端发送个请求,返回一个 apk 的下载地址,用户点击下载按钮可以下载此 apk.然后就发生了问题,经过测试,发现用微信扫一扫打开的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NONDz.html" rel="bookmark" class="title">Android中使用RecyclerView实现下拉刷新和上拉加载&lowbar;Android</a>
					<div>
						推荐阅读:使用RecyclerView添加Header和Footer的方法                       RecyclerView的使用之HelloWorld RecyclerView  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnd8Rp.html" rel="bookmark" class="title">Android的APK应用签名机制以及读取签名的方法&lowbar;Android</a>
					<div>
						发布过Android应用的朋友们应该都知道,Android APK的发布是需要签名的.签名机制在Android应用和框架中有着十分重要的作用.例如,Android系统禁止更新安装签名不一致的APK:如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlxR1p.html" rel="bookmark" class="title">创业如何选择WEB开发语言&lowbar;网站运营</a>
					<div>
						在打算开发一个网站时,选择什么语言,是首先需要面对的问题.目前主流的WEB开发语言有ASP.NET.PHP.JSP; 作为MS上世纪老将ASP,就不再提及,如果是因为维护方面的原因而必须使用,可考虑升 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y0mNb.html" rel="bookmark" class="title">Ubuntu&sol;Xubuntu 15&period;04 Beta 1 发布</a>
					<div>
						Ubuntu/Xubuntu 15.04 Beta 1 发布,此版本是第一个 beta 版本,这也意味着 Ubuntu 功能冻结,任何的包更新都只是 bug 修复.值得关注的新特性和改进:新增 Lig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBGR3KM.html" rel="bookmark" class="title">思科助力网络行业做好准备 迎接数字化就绪网络转型</a>
					<div>
						7月13日消息,思科近日宣布,将帮助工程师.开发人员.合作伙伴和客户迎接网络构建和管理方式的巨大变化,支持行业为迁移到数字化就绪网络做好充分准备.思科还将利用全新技术改进安全设备与网络的融合,以简化分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK3R15b.html" rel="bookmark" class="title">PHP缓存集成库phpFastCache用法&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP缓存集成库phpFastCache用法.分享给大家供大家参考.具体分析如下: phpFastCache是一个开源的PHP缓存库,只提供一个简单的PHP文件,可方便集成到已有项目,支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgxeBb.html" rel="bookmark" class="title">空中网王雷雷：两年赶上网游业内先行者</a>
					<div>
						空中网CEO王雷雷新浪科技讯 3月25日凌晨消息,空中网CEO王雷雷昨日表示,网游业务已经成为未来发展的重点,他希望通过差异化的竞争策略,一两年内赶上业内 先行者的脚步.同时他透露不会舍弃SP业务,这 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
